% Solución de mínimos cuadrados (tres formas)
A = [1,2; 1,1; 3,1];
b = [2;8;6];
[Q,R] = qr(A);
[n,m] = size(A);

% Primera forma
disp ( inv(R'*R)*A'*b )

% Segunda forma
T = R(1:m,:);
Qm = Q(:,1:m);
disp( inv(T'*T)*T'*Qm'*b )

% Tercera forma 
disp( inv(T)*Qm'*b )
% Sería más eficiente hacer este cálculo 
% con susitución regresiva. 