% Solución de mínimos cuadrados es igual que A\b
N = 1000;
A = rand(2*N,N);
b = rand(2*N,1);
[Q,R] = qr(A);
[n,m] = size(A);

T = R(1:m,:);
Qm = Q(:,1:m);
% Tercera forma 
%disp( inv(T)*Qm'*b )
% Sería más eficiente hacer este cálculo 
% con susitución regresiva. 

% Da lo mismo que la barra de matlab
disp( norm(inv(T)*Qm'*b -A\b) )
